repository_start() {
  local org; org=$1
  rm -rf /opt/$org
  ln -s /mnt/cvmfs/$org /opt/$org
}

repository_stop() {
  local org; org=$1
  rm -rf /opt/$org
}

repository_init() {
  local org; org=$1
  local file

  if [ -f /etc/cvmfs/default.conf ]
  then
    . /etc/cvmfs/default.conf
  else
    exit 1
  fi
  [ -f /etc/cvmfs/site.conf ] && . /etc/cvmfs/site.conf

  for file in /etc/cernvm/default.conf \
              /etc/cvmfs/site.conf \
              /etc/cernvm/site.conf
  do
    if [ -f $file ]; then
      eval `sed 's/=\$(.*)//g' $file |  sed -n -e  '/^[^+]/s/\([^=]*\)[=]\(.*\)/\1="\2"; /gp'` 
    fi
  done

  if [ -f /etc/cvmfs/local.d/default.conf ]
  then
    . /etc/cvmfs/local.d/default.conf
  fi

  if [ "x$org" != "x" ] 
  then
    for file in  /etc/cvmfs/config.d/$org.conf \
                 /etc/cvmfs/local.d/$org.conf
    do
      [ -f $file ] && . $file
    done
  fi
}
